.\" Copyright 1993 David Metcalfe (david@prism.demon.co.uk)
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of this
.\" manual under the conditions for verbatim copying, provided that the
.\" entire resulting derived work is distributed under the terms of a
.\" permission notice identical to this one
.\" 
.\" Since the Linux kernel and libraries are constantly changing, this
.\" manual page may be incorrect or out-of-date.  The author(s) assume no
.\" responsibility for errors or omissions, or for damages resulting from
.\" the use of the information contained herein.  The author(s) may not
.\" have taken the same level of care in the production of this manual,
.\" which is licensed free of charge, as they might when working
.\" professionally.
.\" 
.\" Formatted or processed versions of this manual, if unaccompanied by
.\" the source, must acknowledge the copyright and authors of this work.
.\"
.\" References consulted:
.\"     Linux libc source code
.\"     Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991)
.\"     386BSD man pages
.\" Modified Fri Apr  2 18:41:36 1993, David Metcalfe
.\" Modified Sun Jul 25 10:53:14 1993, Rik Faith (faith@cs.unc.edu)
.TH ON_EXIT 3  "April 2, 1993" "GNU" "Linux Programmer's Manual"
.SH NAME
on_exit \- register a function to be called at normal program termination.
.SH SYNOPSIS
.nf
.B #include <stdlib.h>
.sp
.BI "int on_exit(void (*" function ")(int , void *), void *" arg );
.fi
.SH DESCRIPTION
The \fBon_exit()\fP function registers the given \fIfunction\fP to be
called at normal program termination, whether via
.BR exit (3)
or via return
from the program's \fBmain\fP.  The \fIfunction\fP is passed the argument 
to
.BR exit (3)
and the \fIarg\fP argument from \fBon_exit()\fP.
.SH "RETURN VALUE"
The \fBon_exit()\fP function returns the value 0 if successful; otherwise
the value \-1 is returned.
.SH "SEE ALSO"
.BR atexit (3),
.BR exit (3)
